EAST Time Now
EAST is the abbreviation of Easter Island Standard Time. Time zone offset of EAST is UTC-06. Easter Island Standard Time is 6 hours behind from the UTC universal time. EAST current date is 10th Tuesday November 2026. Current time in EAST (EAST).
EAST Time
14:54:54
10 November 2026 Tuesday
EAST is the abbreviation used for referring to Easter Island Standard Time. This is the time standard which is 6 hours behind the UTC universal time, and it is valid for Easter Island during autumn – spring period of time. Summer daylight saving time standard for the island is 5 hours behind the UTC time standard.
What time is it in Easter Island Standard Time now? It is 14:54:54 right now.
Easter Island Standard Time Date and Time Now in Various Formats
| Date Time Format | EAST Date Time Now |
|---|---|
| UTC | 2026-11-10T20:54:54Z |
| ISO-8601 | 2026-11-10T14:54:54-0600 |
| RFC 2822 | Tue, 10 Nov 2026 14:54:54 -0600 |
| RFC 850 | Tuesday, 10-Nov-26 14:54:54 EAST |
| RFC 1036 | Tue, 10 Nov 26 14:54:54 -0600 |
| RFC 1123 | Tue, 10 Nov 2026 14:54:54 -0600 |
| RFC 822 | Tue, 10 Nov 26 14:54:54 -0600 |
| RFC 3339 | 2026-11-10T14:54:54-06:00 |
| ATOM | 2026-11-10T14:54:54-06:00 |
| COOKIE | Tuesday, 10-Nov-2026 14:54:54 EAST |
| RSS | Tue, 10 Nov 2026 14:54:54 -0600 |
| W3C | 2026-11-10T14:54:54-06:00 |
| Unix Epoch | 1794344094 |
| YYYY-DD-MM HH:MM:SS | 2026-10-11 14:54:54 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-10-11 02:54:54 PM |
| DD-MM-YYYY HH:MM:SS | 10-11-2026 14:54:54 |
| MM-DD-YYYY HH:MM:SS | 11-10-2026 14:54:54 |